redmine:plugins:migrate should update db/schema.rb
Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Jean-Baptiste Barth % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version: 2.0.4   

Description

I don't know if it's actually a defect or if it's intentional, but redmine:plugins:migrate task doesn't invoke db:schema:dump, hence it

does not update the db/schema.rb file. It causes at least unintuitive behaviour when cloning the database structure or when testing

plugins for instance, as the test task invokes active_record's db:schema:load and it might not be up to date.

Any opinion about this ? Can someone think about this as intentional and why ? If not I can commit this later.

Related issues:

Has duplicate Redmine - Patch #4580: Run rake db:schema:dump after rake db:mi... Closed 2010-01-14

Associated revisions

Revision 10134 - 2012-07-29 20:01 - Jean-Baptiste Barth

Invoke db:schema:dump after plugin migrations so that db/schema.rb stays up-to-date

History

#1 - 2012-07-03 17:52 - Nitish Upreti

Even I just noticed it, This should be fixed ASAP.

Jean Lacoste Any idea how to make a clone of development database into your test database with all migrations already running and schema dump

being inaccurate?

#2 - 2012-07-06 23:42 - Jean-Baptiste Barth

You can manually trigger a db:schema:dump: 

RAILS_ENV=development rake db:schema:dump

RAILS_ENV=test rake db:reset db:schema:load

#3 - 2012-07-29 20:11 - Jean-Baptiste Barth

- Status changed from New to Resolved

- Assignee set to Jean-Baptiste Barth

- Target version set to Candidate for next minor release

Added in r10134 (sorry I forgot the id of the ticket :/).

Jean-Philippe, Toshi, or Etienne: I let you merge that in a stable branch when you think it's appropriate.

#4 - 2012-07-29 20:15 - Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.0.4

#5 - 2012-09-06 19:31 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 2.0-stable.

#6 - 2024-01-25 00:48 - Go MAEDA

- Has duplicate Patch #4580: Run rake db:schema:dump after rake db:migrate_plugins added
